# Memcached::casByKey

(PECL memcached >= 0.1.0)

Memcached::casByKey — Compare and swap an item on a specific server

### Beschreibung

public Memcached::casByKey(
string|int|float `$cas_token`,
string `$server_key`,
string `$key`,
mixed `$value`,
int `$expiration` = 0
): bool

Memcached::casByKey() is functionally equivalent to Memcached::cas(), except that the free-form `server_key` can be used to map the `key` to a specific server. This is useful if you need to keep a bunch of related keys on a certain server.

### Parameter-Liste

`cas_token`

  Unique value associated with the existing item. Generated by memcache.

`server_key`

  Ein Schlüssel, der den Server bestimmt, auf dem die Daten abgelegt oder von dem Daten abgerufen werden sollen. Anstatt den tatsächlichen Schlüssel des Wertes zu hashen, wird der Server-Key gehasht, um den Memcached-Server ausfindig zu machen, mit dem gesprochen werden soll. Dies erlaubt es, alle zusammengehörigen Daten auf einem einzigen Server abzulegen, um multiple Operationen effizienter zu gestalten.

`key`

  Der Schlüssel, unter dem der Wert abgelegt werden soll.

`value`

  Der zu speichernde Wert.

`expiration`

  Die Verfallszeit, Vorgabewert ist 0. Siehe Verfallszeiten für weiterführende Informationen.

### Rückgabewerte

Gibt bei Erfolg `true` zurück. Bei einem Fehler wird `false` zurückgegeben. The Memcached::getResultCode() will return `Memcached::RES_DATA_EXISTS` if the item you are trying to store has been modified since you last fetched it.

### Siehe auch

- Memcached::cas() - Compare and swap an item

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open